> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Hosted Evaluation Route

> Cancel a running hosted evaluation.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json patch /api/v1/hosted-evaluations/{evaluation_id}/cancel
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/hosted-evaluations/{evaluation_id}/cancel:
    patch:
      tags:
        - hosted-evaluations
      summary: Cancel Hosted Evaluation Route
      description: Cancel a running hosted evaluation.
      operationId: >-
        cancel_hosted_evaluation_route_api_v1_hosted_evaluations__evaluation_id__cancel_patch
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelHostedEvaluationResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    CancelHostedEvaluationResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        evaluation_id:
          type: string
          title: Evaluation Id
        status:
          type: string
          title: Status
      type: object
      required:
        - success
        - message
        - evaluation_id
        - status
      title: CancelHostedEvaluationResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````